Create customer address

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired

Request

This endpoint expects an object.
line1stringRequired
Primary street address
postalCodestringRequired

Postal/ZIP code

citystringRequired
City name
statestringRequired

State/province name

isDefaultBillingbooleanRequired
Is default billing address
isDefaultShippingbooleanRequired
Is default shipping address
line2stringOptional

Secondary address line (apt, suite, etc)

countrystringOptional
Country Code
addresseestringOptional

Name of recipient/addressee

Response

Address created in Tabs. When the merchant has an ERP connected, jobId is the sync job’s ID and statusEndpoint points at it. When there’s no ERP, jobId is null and statusEndpoint points at the customer instead.

payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error